Bug 982131 - Regular expression in regular expression code block corrupts back-reference
Regular expression in regular expression code block corrupts back-reference
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
https://rt.perl.org/rt3/Ticket/Displa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 04:25 EDT by Petr Pisar
Modified: 2013-09-22 19:58 EDT (History)
11 users (show)

See Also:
Fixed In Version: perl-5.18.1-288.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 19:58:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-07-08 04:25:34 EDT
$ perl -e 'q{ab} =~ /^(a(?{ q{x} =~ m{x}})b)(?{ warn qq{inner undef!\n} unless defined $1 })/'
inner undef!

Affected: perl-5.16.3-244.fc18.x86_64

Fixed with upstream commit:

commit f5df269c5cef57294662d0b1f80a468b91f13643
Author: Father Chrysostomos <sprout@cpan.org>
Date:   Fri Jul 5 23:59:46 2013 -0700
Comment 1 Fedora Admin XMLRPC Client 2013-08-12 07:53:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2013-09-11 10:01:07 EDT
perl-5.18.1-288.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-5.18.1-288.fc20
Comment 3 Fedora Update System 2013-09-11 12:56:19 EDT
Package perl-5.18.1-288.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.18.1-288.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16400/perl-5.18.1-288.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-22 19:58:05 EDT
perl-5.18.1-288.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.